vhost_traffic_status_zone shared:vhost_traffic_status:256m;
vhost_traffic_status on;
#新增一个server块
server {
     listen 8085 default_server;
     server_name  _;
     vhost_traffic_status_bypass_stats on;
  # 下一面这一坨是我们k8s集群的节点
     allow 103.8.215.104;
     allow 103.8.215.105;
     allow 103.8.215.106;
     allow 103.8.215.107;
     allow 103.8.215.108;
     allow 103.8.215.109;
     allow 103.8.215.110;
     allow 103.8.215.111;
     allow 206.238.226.108;
     allow 206.238.226.109;
     allow 206.238.226.110;
     allow 206.238.226.111;
     allow 206.238.226.104;
     allow 120.232.214.18;
     allow 120.232.214.19;
     allow 120.232.214.157;
     allow 120.240.163.175;
     allow 120.240.163.182;
     allow 127.0.0.1;
     deny all;
     location / { return 403;}
     location /status {
         vhost_traffic_status_display;
         vhost_traffic_status_display_format prometheus;
     }
     location =  /logstash/metrics {
         proxy_pass http://127.0.0.1:9198/metrics;
         
     }
}
